
/***********************
 * SCROLL TABLE *
 */	

var options = {
	width: '100%',
	height: 500,
	pinnedRows: 1,
	pinnedCols: 1,
	container: '#scrollableTable',
	removeOriginal: true
};

$('#tabCours').tablescroller(options);

var options2 = {
	width: '100%',
	height: 500,
	pinnedRows: 1,
	pinnedCols: 1,
	container: '#scrollableTable2',
	removeOriginal: true
};

$('#tabTechnique').tablescroller(options2);

/***/

var heights = $('#part1 td').map(function()
{
    return $(this).height();
}).get();

var maxHeight = Math.max.apply(Math,heights);

$('#part1 td').css('height', maxHeight);

var heights = $('#part2 td').map(function()
{
    return $(this).height();
}).get();

var maxHeight = Math.max.apply(Math,heights);

$('#part2 td').css('height', maxHeight);


/***********************
 * LIENS EDITABLES *
 * @event ONCLICK
 */	
 
$.fn.editable.defaults.mode = 'inline';
 
$(document).ready(function() 
{
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		params: {'typeAjx': 7},
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}		
	});	
	
	/********************/
	
	$('.editable-item-select-prof').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
        prepend: 'Choisir ...',
		send: 'always',
		emptytext: 'Choisir ...',
		params: {'typeAjx': 15},
		showbuttons: false,
		source: function() 
		{
			var result;
			var dataAjx = $(this).attr('data-ajx');
			
			$.ajax({
				url: '/scm/ajax/global.ajx.php',
				data: {'typeAjx': dataAjx, 'select': true},
				type: 'POST',
				global: false,
				async: false,
				dataType: 'json',
				success: function(data){ result = data; }
			});
			return result;
		},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
			else
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.reponse);				
			}
		}			
	});	
});


/****************
 * AUTO COMPLETION
 */
 
$('input.sujet').autocomplete(
{
    source : function(requete,reponse)
	{
		var input 	= this.element;
		var datapk 	=  $(input).attr('data-pk');
		
		$.ajax(
		{
			type	 : 'POST',
			url 	 : '/scm/ajax/global.ajx.php',
			dataType : 'json',
			data : {
				name : $(input).val(),
				typeAjx : 22,
				pk : datapk
			},				
			success : function(donnee)
			{
				reponse($.map(donnee, function(objet)
				{
					return {
						value: objet.nom,
						theId: objet.id
					}
				}));
			}
		});
	},
	select: function( event, ui ) 
	{
		var value 	= ui.item.theId;
		var pk 		= $(this).attr('data-pk');
		var input	= $(this);
		
		$.ajax(
		{
			type	: 'POST',
			url		: '/scm/ajax/global.ajx.php',
			data	: 'typeAjx=15&value='+value+'&pk='+pk+'&name=sujet',
			dataType: 'json',
			success	: function(retour)
			{
				if(retour.status == 'ok')
				{
					$(input).attr('data-pk',pk+retour.idPlanning);
					$('#scrollableTable2').find("div[data-tech='" + retour.id +"']").parent().addClass('prog');
					alertify.set('notifier','position', 'top-left');
					alertify.success(retour.reponse);
				}
				else
				{
					alertify.set('notifier','position', 'top-left');
					alertify.error(retour.reponse);				
				}
			}
		});		
	}
});


/****************
 * Select du mois
 */
 
$('#choixMois').on('change',function()
{	
	var mois = $(this).val();
	
	if(mois!=='')
	{
		var current = document.URL.substring(0,document.URL.lastIndexOf('/'));
		var href 	= current + '/?mois='+mois;
		window.location.href = href;
	}	
});

var nbSelect = $('#choixMois').find('option[selected="selected"').length;

if(nbSelect===0)
{
	$('#choixMois').val($("#choixMois option:first").val()).trigger('change');	
}


/****************
 * Supprime un cours
 */

$('a.del').on('click',function()
{
	var parents = $(this).parents('td');
	var datapk 	= $(parents).find('input').attr('data-pk');
	var input	= $(parents).find('input');

	$.ajax(
	{
		type	 : 'POST',
		url 	 : '/scm/ajax/global.ajx.php',
		dataType : 'json',
		data : {
			name : 'Xdel',
			typeAjx : 22,
			pk : datapk
		},				
		success : function(donnee)
		{
			$(input).val('');
			alertify.set('notifier','position', 'top-left');
			alertify.success('Le cours a bien été supprimé');
		}
	});
});


/****************
 * TAILLE AUTO DES TD
 */

var table = $('#tabCours');

table.find('th').each(function(index) 
{
    var header_width = $(this).width();
    table.find('tr').each(function()
	{
		$(this).find('td:nth-child('+index+')').width(header_width);
    });
});