
 /****************************
 * NOM DE DOMAINE *
 * @event ONCLICK
 */
 
$('a.inputVal').live('click',function()
{
	var ndd1 = $('#ndd1').val();
	var ndd2 = $('#ndd2').val();
	
	if(ndd1!==''
	&& ndd2!=='')
	{
		if(learnRegExp(ndd1)
		&& learnRegExp(ndd2))
		{			
			ndd1 = ndd1.replace(/\/$/,'');
			ndd2 = ndd2.replace(/\/$/,'');
			
			$.ajax(
			{
				type		: 'POST',
				url			: '/scm/ajax/global.ajx.php',
				data		: 'typeAjx=19&ndd1='+ndd1+'&ndd2='+ndd2,
				dataType	: 'json',
				beforeSend 	: function()
				{
					clearTimeout(loadingTimer);
					loadingTimer = setTimeout(showLoading,3000);
				},
				success		: function(data)
				{
					if(data['erreur']!=='' && data['erreur']!=null)
					{
						swal('Erreur!',data['erreur'],'error');
					}
					else
					{
						// $('#inscription').show();
						// $('#inscription code').eq(0).html($('#inscription code').eq(0).html().replace("#domain#", ndd1));
						// $('#inscription code').eq(0).html($('#inscription code').eq(0).html().replace("#apiKey#", data['apiKey']));
						location.reload();
					}
				},
				complete 	: function()
				{
					clearTimeout(loadingTimer);
					hideLoading();
				}		
			});	
		}
		else
		{
			swal('Erreur!','Le format de votre URL n\'est pas "http://www.votre-site.com".','error');			
		}
	}
	else
	{
		swal('Erreur!','Vous devez renseigner un nom de domaine.','error');
	}
});


function learnRegExp(s) 
{    
	var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
	return regexp.test(s);    
}

/***********************
 * RAZ DU PLUGIN *
 * @event ONCLICK
 */

$('#raz').live('click',function(e)
{
	e.preventDefault();
	
	swal({
		title: 'Souhaitez vous remettre à 0 le plugin ?',
		html: 'Attention cette action est irréversible, vos données seront perdues',
		type: 'warning',
		showCancelButton: true,
		reverseButtons: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=27',
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					location.href = '/scm/installeur.php';
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
	
	return false;
});